diff --git a/engines/pegasus/neighborhood/norad/constants.h b/engines/pegasus/neighborhood/norad/constants.h
index 37c1769..68e4bcf 100644
--- a/engines/pegasus/neighborhood/norad/constants.h
+++ b/engines/pegasus/neighborhood/norad/constants.h
@@ -216,6 +216,7 @@ static const InteractionID kNoradElevatorInteractionID = 3;
 static const InteractionID kNoradPressureDoorInteractionID = 4;
 static const InteractionID kNoradSubControlRoomInteractionID = 5;
 static const InteractionID kNoradSubPlatformInteractionID = 6;
+static const InteractionID kNoradSubChaseInteractionID = 7;
 
 /////////////////////////////////////////////
 //
@@ -265,6 +266,12 @@ static const CoordType kNoradLowerDownTop = kNavAreaTop + 212;
 static const CoordType kNoradPlatformLeft = kNavAreaLeft + 36;
 static const CoordType kNoradPlatformTop = kNavAreaTop + 87;
 
+static const CoordType kNoradSubSteerLeft = 288;
+static const CoordType kNoradSubSteerTop = 28;
+
+static const CoordType kNoradSubHintLeft = 480;
+static const CoordType kNoradSubHintTop = 240;
+
 static const CoordType kNoradSubControlLeft = kNavAreaLeft + 0;
 static const CoordType kNoradSubControlTop = kNavAreaTop + 84;
 
@@ -385,8 +392,9 @@ static const DisplayElementID kClawMonitorGreenBallID = kSubControlCWID + 1;
 
 // Norad Delta display IDs.
 
-static const DisplayElementID kGlobeMonitorID = kNeighborhoodDisplayID;
-static const DisplayElementID kGlobeMovieID = kGlobeMonitorID + 14;
+static const DisplayElementID kGlobeRobotID = kNeighborhoodDisplayID;
+static const DisplayElementID kGlobeMonitorID = kGlobeRobotID + 1;
+static const DisplayElementID kGlobeMovieID = kGlobeMonitorID + 1;
 static const DisplayElementID kGlobeCircleLeftID = kGlobeMovieID + 1;
 static const DisplayElementID kGlobeCircleRightID = kGlobeCircleLeftID + 1;
 static const DisplayElementID kGlobeCircleUpID = kGlobeCircleRightID + 1;
diff --git a/engines/pegasus/neighborhood/norad/delta/globegame.cpp b/engines/pegasus/neighborhood/norad/delta/globegame.cpp
index 0b95e9b..db90daf 100644
--- a/engines/pegasus/neighborhood/norad/delta/globegame.cpp
+++ b/engines/pegasus/neighborhood/norad/delta/globegame.cpp
@@ -25,6 +25,7 @@
 
 #include "pegasus/cursor.h"
 #include "pegasus/pegasus.h"
+#include "pegasus/items/biochips/arthurchip.h"
 #include "pegasus/neighborhood/norad/constants.h"
 #include "pegasus/neighborhood/norad/delta/globegame.h"
 #include "pegasus/neighborhood/norad/delta/noraddelta.h"
@@ -387,10 +388,22 @@ static const TimeValue kGlobeMovieStartTime = 2 * 2 * kNumLongSlices * 600 / 15;
 static const TimeValue kTimePerGlobeFrame = 40;
 
 static const NotificationFlags kGlobeSplash1Finished = 1;
-static const NotificationFlags kGlobeTimerExpired = kGlobeSplash1Finished << 1;
+static const NotificationFlags kGlobeRobot1Finished = kGlobeSplash1Finished << 1;
+static const NotificationFlags kGlobeRobot2Finished = kGlobeRobot1Finished << 1;
+static const NotificationFlags kGlobeRobot3Finished = kGlobeRobot2Finished << 1;
+static const NotificationFlags kGlobeRobot4Finished = kGlobeRobot3Finished << 1;
+static const NotificationFlags kGlobeRobot5Finished = kGlobeRobot4Finished << 1;
+static const NotificationFlags kGlobeRobot6Finished = kGlobeRobot5Finished << 1;
+static const NotificationFlags kGlobeTimerExpired = kGlobeRobot6Finished << 1;
 static const NotificationFlags kMaxDeactivatedFinished = kGlobeTimerExpired << 1;
 
 static const NotificationFlags kGlobeNotificationFlags = kGlobeSplash1Finished |
+													kGlobeRobot1Finished |
+													kGlobeRobot2Finished |
+													kGlobeRobot3Finished |
+													kGlobeRobot4Finished |
+													kGlobeRobot5Finished |
+													kGlobeRobot6Finished |
 													kGlobeTimerExpired |
 													kMaxDeactivatedFinished;
 
@@ -440,10 +453,10 @@ float radiansToDegrees(float angle) {
 }
 
 GlobeGame::GlobeGame(Neighborhood *handler) : GameInteraction(kNoradGlobeGameInteractionID, handler),
-		_monitorMovie(kGlobeMonitorID), _globeMovie(kGlobeMovieID), _upperNamesMovie(kGlobeUpperNamesID),
-		_lowerNamesMovie(kGlobeLowerNamesID), _globeNotification(kNoradGlobeNotificationID, (PegasusEngine *)g_engine),
-		_globeCircleLeft(kGlobeCircleLeftID), _globeCircleRight(kGlobeCircleRightID),
-		_globeCircleUp(kGlobeCircleUpID), _globeCircleDown(kGlobeCircleDownID),
+		_robotMovie(kGlobeRobotID), _monitorMovie(kGlobeMonitorID), _globeMovie(kGlobeMovieID),
+		_upperNamesMovie(kGlobeUpperNamesID), _lowerNamesMovie(kGlobeLowerNamesID),
+		_globeNotification(kNoradGlobeNotificationID, (PegasusEngine *)g_engine), _globeCircleLeft(kGlobeCircleLeftID),
+		_globeCircleRight(kGlobeCircleRightID), _globeCircleUp(kGlobeCircleUpID), _globeCircleDown(kGlobeCircleDownID),
 		_motionHighlightLeft(kMotionHiliteLeftID), _motionHighlightRight(kMotionHiliteRightID),
 		_motionHighlightUp(kMotionHiliteUpID), _motionHighlightDown(kMotionHiliteDownID),
 		_targetHighlightUpperLeft(kTargetHiliteUpperLeftID), _targetHighlightUpperRight(kTargetHiliteUpperRightID),
@@ -454,6 +467,19 @@ GlobeGame::GlobeGame(Neighborhood *handler) : GameInteraction(kNoradGlobeGameInt
 }
 
 void GlobeGame::openInteraction() {
+	if (((PegasusEngine *)g_engine)->isDVD()) {
+		_robotMovie.initFromMovieFile("Images/Norad Delta/N79 Back Monitor1");
+		_robotMovie.moveElementTo(kNavAreaLeft, kNavAreaTop);
+		_robotMovie.setDisplayOrder(kGlobeMonitorLayer);
+		_robotMovie.startDisplaying();
+		_robotMovie.show();
+
+		_robotCallBack.setNotification(&_globeNotification);
+		_robotCallBack.initCallBack(&_robotMovie, kCallBackAtExtremes);
+		_robotCallBack.setCallBackFlag(kGlobeRobot1Finished);
+		_robotCallBack.scheduleCallBack(kTriggerAtStop, 0, 0);
+	}
+
 	_monitorMovie.initFromMovieFile("Images/Norad Delta/N79 Left Monitor");
 	_monitorMovie.moveElementTo(kGlobeMonitorLeft, kGlobeMonitorTop);
 	_monitorMovie.setDisplayOrder(kGlobeMonitorLayer);
@@ -563,11 +589,20 @@ void GlobeGame::openInteraction() {
 }
 
 void GlobeGame::initInteraction() {
+	if (((PegasusEngine *)g_engine)->isDVD())
+		_robotMovie.start();
 	_monitorMovie.start();
 	_monitorMovie.redrawMovieWorld();
 }
 
 void GlobeGame::closeInteraction() {
+	if (((PegasusEngine *)g_engine)->isDVD()) {
+		_robotMovie.stop();
+		_robotMovie.stopDisplaying();
+		_robotMovie.releaseMovie();
+		_robotCallBack.releaseCallBack();
+	}
+
 	_monitorMovie.stop();
 	_monitorMovie.stopDisplaying();
 	_monitorMovie.releaseMovie();
@@ -626,16 +661,18 @@ void GlobeGame::receiveNotification(Notification *notification, const Notificati
 	if (notification == _neighborhoodNotification) {
 		switch (_gameState) {
 		case kPlayingRobotIntro:
-			_monitorMovie.stop();
-			_monitorMovie.setSegment(0, _monitorMovie.getDuration());
-			_monitorMovie.setTime(kSplash2End * scale - 1);
-			_monitorMovie.redrawMovieWorld();
-			_monitorMovie.setFlags(0);
+			if (!((PegasusEngine *)g_engine)->isDVD()) {
+				_monitorMovie.stop();
+				_monitorMovie.setSegment(0, _monitorMovie.getDuration());
+				_monitorMovie.setTime(kSplash2End * scale - 1);
+				_monitorMovie.redrawMovieWorld();
+				_monitorMovie.setFlags(0);
 
-			_owner->requestDelay(1, 2, kFilterNoInput, 0);
-			_owner->requestSpotSound(kStrikeAuthorizedIn, kStrikeAuthorizedOut,
-					kFilterNoInput, kSpotSoundCompletedFlag);
-			_gameState = kPlayingStrikeAuthorized;
+				_owner->requestDelay(1, 2, kFilterNoInput, 0);
+				_owner->requestSpotSound(kStrikeAuthorizedIn, kStrikeAuthorizedOut,
+						kFilterNoInput, kSpotSoundCompletedFlag);
+				_gameState = kPlayingStrikeAuthorized;
+			}
 			break;
 		case kPlayingStrikeAuthorized:
 			_monitorMovie.setSegment(kSplash3Start * scale, kSplash3Stop * scale);
@@ -741,20 +778,76 @@ void GlobeGame::receiveNotification(Notification *notification, const Notificati
 
 			switch (_currentSiloIndex) {
 			case 3:
-				_owner->requestSpotSound(kYouCannotPossiblyIn, kYouCannotPossiblyOut,
-						kFilterNoInput, kSpotSoundCompletedFlag);
+				if (!((PegasusEngine *)g_engine)->isDVD()) {
+					_owner->requestSpotSound(kYouCannotPossiblyIn, kYouCannotPossiblyOut,
+							kFilterNoInput, kSpotSoundCompletedFlag);
+				} else {
+					_robotMovie.hide();
+					_robotMovie.stopDisplaying();
+					_robotMovie.releaseMovie();
+
+					_robotMovie.initFromMovieFile("Images/Norad Delta/N79 Back Monitor2");
+					_robotMovie.moveElementTo(kNavAreaLeft, kNavAreaTop);
+					_robotMovie.startDisplaying();
+					_robotMovie.show();
+					_robotMovie.start();
+
+					_owner->requestDelay(_robotMovie.getDuration(), 0, kFilterNoInput, kDelayCompletedFlag);
+				}
 				break;
 			case 5:
-				_owner->requestSpotSound(kYouWillFailIn, kYouWillFailOut, kFilterNoInput,
-						kSpotSoundCompletedFlag);
+				if (!((PegasusEngine *)g_engine)->isDVD()) {
+					_owner->requestSpotSound(kYouWillFailIn, kYouWillFailOut, kFilterNoInput,
+							kSpotSoundCompletedFlag);
+				} else {
+					_robotMovie.hide();
+					_robotMovie.stopDisplaying();
+					_robotMovie.releaseMovie();
+
+					_robotMovie.initFromMovieFile("Images/Norad Delta/N79 Back Monitor3");
+					_robotMovie.moveElementTo(kNavAreaLeft, kNavAreaTop);
+					_robotMovie.startDisplaying();
+					_robotMovie.show();
+					_robotMovie.start();
+
+					_owner->requestDelay(_robotMovie.getDuration(), 0, kFilterNoInput, kDelayCompletedFlag);
+				}
 				break;
 			case 7:
-				_owner->requestSpotSound(kGiveUpHumanIn, kGiveUpHumanOut, kFilterNoInput,
-						kSpotSoundCompletedFlag);
+				if (!((PegasusEngine *)g_engine)->isDVD()) {
+					_owner->requestSpotSound(kGiveUpHumanIn, kGiveUpHumanOut, kFilterNoInput,
+							kSpotSoundCompletedFlag);
+				} else {
+					_robotMovie.hide();
+					_robotMovie.stopDisplaying();
+					_robotMovie.releaseMovie();
+
+					_robotMovie.initFromMovieFile("Images/Norad Delta/N79 Back Monitor4");
+					_robotMovie.moveElementTo(kNavAreaLeft, kNavAreaTop);
+					_robotMovie.startDisplaying();
+					_robotMovie.show();
+					_robotMovie.start();
+
+					_owner->requestDelay(_robotMovie.getDuration(), 0, kFilterNoInput, kDelayCompletedFlag);
+				}
 				break;
 			case 9:
-				_owner->requestSpotSound(kYouAreRunningIn, kYouAreRunningOut,
-						kFilterNoInput, kSpotSoundCompletedFlag);
+				if (!((PegasusEngine *)g_engine)->isDVD()) {
+					_owner->requestSpotSound(kYouAreRunningIn, kYouAreRunningOut,
+							kFilterNoInput, kSpotSoundCompletedFlag);
+				} else {
+					_robotMovie.hide();
+					_robotMovie.stopDisplaying();
+					_robotMovie.releaseMovie();
+
+					_robotMovie.initFromMovieFile("Images/Norad Delta/N79 Back Monitor5");
+					_robotMovie.moveElementTo(kNavAreaLeft, kNavAreaTop);
+					_robotMovie.startDisplaying();
+					_robotMovie.show();
+					_robotMovie.start();
+
+					_owner->requestDelay(_robotMovie.getDuration(), 0, kFilterNoInput, kDelayCompletedFlag);
+				}
 				break;
 			default:
 				_owner->requestSpotSound(kNewLaunchSiloIn, kNewLaunchSiloOut,
@@ -766,7 +859,7 @@ void GlobeGame::receiveNotification(Notification *notification, const Notificati
 			}
 			break;
 		case kRobotTaunting:
-			_owner->requestDelay(1, 1, kFilterNoInput, 0);
+			_owner->requestDelay(1, 2, kFilterNoInput, 0);
 			_owner->requestSpotSound(kNewLaunchSiloIn, kNewLaunchSiloOut, kFilterNoInput, kSpotSoundCompletedFlag);
 			_monitorMovie.setTime(kNewLaunchSiloTime * scale);
 			_monitorMovie.redrawMovieWorld();
@@ -790,27 +883,68 @@ void GlobeGame::receiveNotification(Notification *notification, const Notificati
 
 		switch (flags) {
 		case kGlobeSplash1Finished:
-			_owner->getExtraEntry(kN79BrightView, entry);
 			_monitorMovie.stop();
 			_monitorMovie.setSegment(kSplash1End * scale, kSplash2End * scale);
 			_monitorMovie.setFlags(kLoopTimeBase);
 			_monitorMovie.start();
-			_owner->showViewFrame(entry.movieStart);
-			_owner->requestSpotSound(kIJustBrokeIn, kIJustBrokeOut, kFilterNoInput, 0);
-			_owner->requestDelay(1, 2, kFilterNoInput, kDelayCompletedFlag);
-			_gameState = kPlayingRobotIntro;
+			if (!((PegasusEngine *)g_engine)->isDVD()) {
+				_owner->getExtraEntry(kN79BrightView, entry);
+				_owner->showViewFrame(entry.movieStart);
+				_owner->requestSpotSound(kIJustBrokeIn, kIJustBrokeOut, kFilterNoInput, 0);
+				_owner->requestDelay(1, 2, kFilterNoInput, kDelayCompletedFlag);
+				_gameState = kPlayingRobotIntro;
+			}
+			break;
+		case kGlobeRobot1Finished:
+			if (((PegasusEngine *)g_engine)->isDVD()) {
+				_owner->getExtraEntry(kN79BrightView, entry);
+				_monitorMovie.stop();
+				_monitorMovie.setSegment(0, _monitorMovie.getDuration());
+				_monitorMovie.setTime(kSplash2End * scale - 1);
+				_monitorMovie.redrawMovieWorld();
+				_monitorMovie.setFlags(0);
+
+				_owner->showViewFrame(entry.movieStart);
+				_owner->requestDelay(1, 2, kFilterNoInput, 0);
+				_owner->requestSpotSound(kStrikeAuthorizedIn, kStrikeAuthorizedOut,
+						kFilterNoInput, kSpotSoundCompletedFlag);
+
+				_gameState = kPlayingStrikeAuthorized;
+			}
 			break;
 		case kGlobeTimerExpired:
 			// Missile launched, player loses.
+			_upperNamesMovie.hide();
+			_lowerNamesMovie.hide();
+			_countdown.hide();
+			_monitorMovie.setTime(kMissileLaunchedTime * scale);
+			_monitorMovie.redrawMovieWorld();
 			_owner->requestSpotSound(kMissileLaunchedIn, kMissileLaunchedOut, kFilterNoInput, kSpotSoundCompletedFlag);
 			_gameState = kPlayerLost1;
 			break;
 		case kMaxDeactivatedFinished:
 			_monitorMovie.stop();
 			_monitorMovie.setSegment(0, _monitorMovie.getDuration());
-			_owner->requestDelay(1, 2, kFilterNoInput, 0);
-			_owner->requestSpotSound(kTheOnlyGoodHumanIn, kTheOnlyGoodHumanOut, kFilterNoInput, 0);
-			_owner->requestDelay(1, 2, kFilterNoInput, kDelayCompletedFlag);
+			if (g_arthurChip)
+				g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA02", kArthurNoradFinishedGlobeGame);
+			if (!((PegasusEngine *)g_engine)->isDVD()) {
+				_owner->requestDelay(1, 2, kFilterNoInput, 0);
+				_owner->requestSpotSound(kTheOnlyGoodHumanIn, kTheOnlyGoodHumanOut, kFilterNoInput, 0);
+				_owner->requestDelay(1, 2, kFilterNoInput, kDelayCompletedFlag);
+			} else {
+				_robotMovie.hide();
+				_robotMovie.stopDisplaying();
+				_robotMovie.releaseMovie();
+
+				_robotMovie.initFromMovieFile("Images/Norad Delta/N79 Back Monitor6");
+				_robotMovie.moveElementTo(kNavAreaLeft, kNavAreaTop);
+				_robotMovie.setDisplayOrder(kGlobeCountdownLayer + 1);
+				_robotMovie.startDisplaying();
+				_robotMovie.show();
+				_robotMovie.start();
+
+				_owner->requestDelay(_robotMovie.getDuration(), 0, kFilterNoInput, kDelayCompletedFlag);
+			}
 			_gameState = kPlayerWon2;
 			break;
 		default:
@@ -874,56 +1008,89 @@ void GlobeGame::spinGlobe(const Input &input, const Hotspot *spot, GlobeTrackDir
 }
 
 void GlobeGame::clickGlobe(const Input &input) {
-	int16 newSilo = findClickedSilo(input);
-
-	if (newSilo != -1) {
-		_targetHighlightUpperLeft.hide();
-		_targetHighlightUpperRight.hide();
-		_targetHighlightLowerLeft.hide();
-		_targetHighlightLowerRight.hide();
-		_lowerNamesMovie.show();
-		_lowerNamesMovie.setTime(newSilo * _lowerNamesMovie.getScale());
-		_lowerNamesMovie.redrawMovieWorld();
-		_owner->requestSpotSound(kSiloBeepIn, kSiloBeepOut, kFilterNoInput, 0);
+	Movie movie(kNoDisplayElement);
+	Input movieInput;
+
+	if (((PegasusEngine *)g_engine)->isDVD() && JMPPPInput::isEasterEggModifierInput(input)) {
+		((PegasusEngine *)g_engine)->_cursor->hide();
+
+		movie.initFromMovieFile("Images/Norad Delta/N79 Back Monitor7");
+		movie.setVolume(((PegasusEngine *)g_engine)->getSoundFXLevel());
+		movie.moveElementTo(kNavAreaLeft, kNavAreaTop);
+		movie.setDisplayOrder(kGlobeCountdownLayer + 1);
+		movie.startDisplaying();
+		movie.show();
+		movie.start();
+
+		while (movie.isRunning() && !((PegasusEngine *)g_engine)->shouldQuit()) {
+			InputDevice.getInput(movieInput, kFilterNoInput);
+
+			((PegasusEngine *)g_engine)->checkCallBacks();
+			((PegasusEngine *)g_engine)->refreshDisplay();
+			((PegasusEngine *)g_engine)->_system->delayMillis(10);
+		}
 
-		if (newSilo == _targetSilo[_currentSiloIndex]) {
-			_currentSiloIndex++;
-			_countdown.stopCountdown();
-			_owner->requestSpotSound(kSiloDeactivatedIn, kSiloDeactivatedOut, kFilterNoInput, 0);
+		if (((PegasusEngine *)g_engine)->shouldQuit())
+			return;
 
-			if (_currentSiloIndex == kNumTargetSilos) {
-				// Player won.
-				_owner->requestDelay(1, 2, kFilterNoInput, 0);
-				_upperNamesMovie.hide();
-				_lowerNamesMovie.hide();
-				_countdown.hide();
-				_monitorMovie.setSegment(kMaxDeactivatedStart * _monitorMovie.getScale(),
-						kMaxDeactivatedStop * _monitorMovie.getScale());
-				_monitorMovie.setTime(kMaxDeactivatedStart * _monitorMovie.getScale());
-				_monitorCallBack.setCallBackFlag(kMaxDeactivatedFinished);
-				_monitorCallBack.scheduleCallBack(kTriggerAtStop, 0, 0);
-				_monitorMovie.start();
-				_owner->requestSpotSound(kMaximumDeactivationIn, kMaximumDeactivationOut,
-						kFilterNoInput, kSpotSoundCompletedFlag);
+		movie.hide();
+		movie.stopDisplaying();
+		movie.releaseMovie();
 
-				// This sound was left out of the original.
-				_owner->requestSpotSound(kAllSilosDeactivatedIn, kAllSilosDeactivatedOut,
-						kFilterNoInput, kSpotSoundCompletedFlag);
-
-				_gameState = kPlayerWon1;
+		((PegasusEngine *)g_engine)->_cursor->hideUntilMoved();
+	} else {
+		int16 newSilo = findClickedSilo(input);
+		if (newSilo != -1) {
+			_targetHighlightUpperLeft.hide();
+			_targetHighlightUpperRight.hide();
+			_targetHighlightLowerLeft.hide();
+			_targetHighlightLowerRight.hide();
+			_lowerNamesMovie.show();
+			_lowerNamesMovie.setTime(newSilo * _lowerNamesMovie.getScale());
+			_lowerNamesMovie.redrawMovieWorld();
+			_owner->requestSpotSound(kSiloBeepIn, kSiloBeepOut, kFilterNoInput, 0);
+
+			if (newSilo == _targetSilo[_currentSiloIndex]) {
+				_currentSiloIndex++;
+				_countdown.stopCountdown();
+				_owner->requestSpotSound(kSiloDeactivatedIn, kSiloDeactivatedOut, kFilterNoInput, 0);
+
+				if (_currentSiloIndex == kNumTargetSilos) {
+					// Player won.
+					_owner->requestDelay(1, 2, kFilterNoInput, 0);
+					_upperNamesMovie.hide();
+					_lowerNamesMovie.hide();
+					_countdown.hide();
+					_monitorMovie.setSegment(kMaxDeactivatedStart * _monitorMovie.getScale(),
+							kMaxDeactivatedStop * _monitorMovie.getScale());
+					_monitorMovie.setTime(kMaxDeactivatedStart * _monitorMovie.getScale());
+					_monitorCallBack.setCallBackFlag(kMaxDeactivatedFinished);
+					_monitorCallBack.scheduleCallBack(kTriggerAtStop, 0, 0);
+					_monitorMovie.start();
+					_owner->requestSpotSound(kMaximumDeactivationIn, kMaximumDeactivationOut,
+							kFilterNoInput, kSpotSoundCompletedFlag);
+
+					// This sound was left out of the original.
+					_owner->requestSpotSound(kAllSilosDeactivatedIn, kAllSilosDeactivatedOut,
+							kFilterNoInput, kSpotSoundCompletedFlag);
+
+					_gameState = kPlayerWon1;
+				} else {
+					_owner->requestDelay(1, 2, kFilterNoInput, kDelayCompletedFlag);
+					_upperNamesMovie.hide();
+					_lowerNamesMovie.hide();
+					_countdown.hide();
+					_monitorMovie.setTime(kSiloDeactivatedTime * _monitorMovie.getScale());
+					_monitorMovie.redrawMovieWorld();
+					_gameState = kSiloDeactivated;
+				}
 			} else {
-				_owner->requestDelay(2, 1, kFilterNoInput, kDelayCompletedFlag);
-				_upperNamesMovie.hide();
-				_lowerNamesMovie.hide();
-				_countdown.hide();
-				_monitorMovie.setTime(kSiloDeactivatedTime * _monitorMovie.getScale());
-				_monitorMovie.redrawMovieWorld();
-				_gameState = kSiloDeactivated;
+				_owner->requestDelay(5, 1, kFilterNoInput, kDelayCompletedFlag);
+				_gameState = kDelayingPlayer;
+				// Play "incorrect" sound?
+				if (g_arthurChip)
+					g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBB38", kArthurNoradSelectedIncorrectSilo);
 			}
-		} else {
-			_owner->requestDelay(5, 1, kFilterNoInput, kDelayCompletedFlag);
-			_gameState = kDelayingPlayer;
-			// Play "incorrect" sound?
 		}
 	}
 }
diff --git a/engines/pegasus/neighborhood/norad/delta/globegame.h b/engines/pegasus/neighborhood/norad/delta/globegame.h
index 73ed488..89c1afd 100644
--- a/engines/pegasus/neighborhood/norad/delta/globegame.h
+++ b/engines/pegasus/neighborhood/norad/delta/globegame.h
@@ -137,11 +137,13 @@ protected:
 	void screenPointTo3DPoint(int16, int16, Point3D &);
 	bool lineHitsGlobe(const Line3D &, Point3D &);
 
+	Movie _robotMovie;
 	Movie _monitorMovie;
 	Movie _globeMovie;
 	Movie _upperNamesMovie;
 	Movie _lowerNamesMovie;
 	Notification _globeNotification;
+	NotificationCallBack _robotCallBack;
 	NotificationCallBack _monitorCallBack;
 	GlobeTracker _globeTracker;
 	Picture _globeCircleLeft;
diff --git a/engines/pegasus/neighborhood/norad/delta/noraddelta.cpp b/engines/pegasus/neighborhood/norad/delta/noraddelta.cpp
index 1eea2f0..e20ee96 100644
--- a/engines/pegasus/neighborhood/norad/delta/noraddelta.cpp
+++ b/engines/pegasus/neighborhood/norad/delta/noraddelta.cpp
@@ -28,6 +28,7 @@
 #include "pegasus/interface.h"
 #include "pegasus/pegasus.h"
 #include "pegasus/ai/ai_area.h"
+#include "pegasus/items/biochips/arthurchip.h"
 #include "pegasus/items/biochips/opticalchip.h"
 #include "pegasus/items/biochips/retscanchip.h"
 #include "pegasus/items/inventory/airmask.h"
@@ -265,21 +266,39 @@ void NoradDelta::loadAmbientLoops() {
 	if (GameState.getNoradArrivedFromSub()) {
 		RoomID room = GameState.getCurrentRoom();
 
-		if (room == kNorad79West) {
-			if (_privateFlags.getFlag(kNoradPrivateFinishedGlobeGameFlag))
-				loadLoopSound1("Sounds/Norad/GlobAmb2.22K.AIFF");
-			else
+		if (room >= kNorad78 && room <= kNorad79West) {
+			if (GameState.getNoradPlayedGlobeGame()) {
+				// blitter moved clone2727's globe room loop fix up here
+				// since the original didn't play the red alert sound during the
+				// globe game.
+
+				// clone2727 added this fix so we can play the correct sound
+				// with the DVD version. This originally loaded it into slot 2,
+				// which in addition to having the corrupted sound on the disk,
+				// caused it to never play.
+				if (_vm->isDVD())
+					loadLoopSound1("Sounds/Norad/GlobAmb2.32K.AIFF");
+				else
+					loadLoopSound1("Sounds/Norad/GlobAmb2.22K.AIFF");
+			} else
 				loadLoopSound1("Sounds/Norad/RedAlert.22K.AIFF");
-		} else if (room >= kNorad78 && room <= kNorad79) {
-			// clone2727 says: This looks like it should be loadLoopSound1...
-			loadLoopSound2("Sounds/Norad/RedAlert.22K.AIFF");
 		} else if (GameState.getNoradGassed()) {
-			if (room >= kNorad41 && room <= kNorad49South)
-				loadLoopSound1("Sounds/Norad/NEW SUB AMB.22K.AIFF", kNoradWarningVolume * 3);
-			else if (room >= kNorad59 && room <= kNorad60West)
-				loadLoopSound1("Sounds/Norad/SUB CONTRL LOOP.22K.AIFF", kNoradWarningVolume * 3);
-			else
-				loadLoopSound1("Sounds/Norad/WARNING LOOP.22K.AIFF", kNoradWarningVolume);
+			if (room >= kNorad41 && room <= kNorad49South) {
+				if (_vm->isDVD())
+					loadLoopSound1("Sounds/Norad/NEW SUB AMB.44K.AIFF", kNoradWarningVolume * 3);
+				else
+					loadLoopSound1("Sounds/Norad/NEW SUB AMB.22K.AIFF", kNoradWarningVolume * 3);
+			} else if (room >= kNorad59 && room <= kNorad60West) {
+				if (_vm->isDVD())
+					loadLoopSound1("Sounds/Norad/SUB CONTRL LOOP.32K.AIFF", kNoradWarningVolume * 3);
+				else
+					loadLoopSound1("Sounds/Norad/SUB CONTRL LOOP.22K.AIFF", kNoradWarningVolume * 3);
+			} else {
+				if (_vm->isDVD())
+					loadLoopSound1("Sounds/Norad/WARNING LOOP.32K.AIFF", kNoradWarningVolume);
+				else
+					loadLoopSound1("Sounds/Norad/WARNING LOOP.22K.AIFF", kNoradWarningVolume);
+			}
 		} else {
 			loadLoopSound1("");
 		}
@@ -290,15 +309,22 @@ void NoradDelta::loadAmbientLoops() {
 			else
 				loadLoopSound2("Sounds/Norad/SUCKING WIND.22K.AIFF", kNoradSuckWindVolume, 0, 0);
 		} else {
-			if (room == kNorad54North)
-				loadLoopSound2("Sounds/Norad/N54NAS.22K.AIFF", 0x100 / 2);
-			else
+			if (room == kNorad54North) {
+				if (_vm->isDVD())
+					loadLoopSound2("Sounds/Norad/N54NAS.32K.AIFF", 0x100 / 2);
+				else
+					loadLoopSound2("Sounds/Norad/N54NAS.22K.AIFF", 0x100 / 2);
+			} else
 				loadLoopSound2("");
 		}
 	} else {
 		// Start them off at zero...
-		if (GameState.getNoradGassed())
-			loadLoopSound1("Sounds/Norad/NEW SUB AMB.22K.AIFF", 0, 0, 0);
+		if (GameState.getNoradGassed()) {
+			if (_vm->isDVD())
+				loadLoopSound1("Sounds/Norad/NEW SUB AMB.44K.AIFF", 0, 0, 0);
+			else
+				loadLoopSound1("Sounds/Norad/NEW SUB AMB.22K.AIFF", 0, 0, 0);
+		}
 		if (!g_airMask->isAirFilterOn())
 			loadLoopSound2("Sounds/Norad/SUCKING WIND.22K.AIFF", 0, 0, 0);
 	}
@@ -328,39 +354,50 @@ void NoradDelta::arriveAt(const RoomID room, const DirectionConstant direction)
 
 	switch (room) {
 	case kNorad41:
-		if (direction == kEast && !GameState.getNoradArrivedFromSub()) {
-			GameState.setNoradPlayedGlobeGame(false);
+		if (direction == kEast) {
+			if (!GameState.getNoradArrivedFromSub()) {
+				GameState.setNoradPlayedGlobeGame(false);
 
-			GameState.setNoradBeatRobotWithClaw(false);
-			GameState.setNoradBeatRobotWithDoor(false);
-			GameState.setNoradRetScanGood(false);
+				GameState.setNoradBeatRobotWithClaw(false);
+				GameState.setNoradBeatRobotWithDoor(false);
+				GameState.setNoradRetScanGood(false);
 
-			GameState.setScoringExitedSub(true);
+				GameState.setScoringExitedSub(true);
 
-			getExtraEntry(kArriveFromSubChase, entry);
+				getExtraEntry(kArriveFromSubChase, entry);
 
-			loop1Spec.makeTwoKnotFaderSpec(kNoradDeltaMovieScale, 0, 0, entry.movieEnd -
-					entry.movieStart, kNoradWarningVolume);
-			loop1Spec.insertFaderKnot(7320, 0);
-			loop1Spec.insertFaderKnot(7880, kNoradWarningVolume);
+				loop1Spec.makeTwoKnotFaderSpec(kNoradDeltaMovieScale, 0, 0, entry.movieEnd -
+						entry.movieStart, kNoradWarningVolume);
+				loop1Spec.insertFaderKnot(7320, 0);
+				loop1Spec.insertFaderKnot(7880, kNoradWarningVolume);
 
-			loop2Spec.makeTwoKnotFaderSpec(kNoradDeltaMovieScale, 0, 0, entry.movieEnd -
-					entry.movieStart, kNoradSuckWindVolume);
-			loop1Spec.insertFaderKnot(7320, 0);
-			loop1Spec.insertFaderKnot(7880, kNoradSuckWindVolume);
+				loop2Spec.makeTwoKnotFaderSpec(kNoradDeltaMovieScale, 0, 0, entry.movieEnd -
+						entry.movieStart, kNoradSuckWindVolume);
+				loop1Spec.insertFaderKnot(7320, 0);
+				loop1Spec.insertFaderKnot(7880, kNoradSuckWindVolume);
 
-			startExtraSequence(kArriveFromSubChase, kExtraCompletedFlag, kFilterNoInput);
+				startExtraSequence(kArriveFromSubChase, kExtraCompletedFlag, kFilterNoInput);
 
-			startLoop1Fader(loop1Spec);
-			startLoop2Fader(loop2Spec);
+				startLoop1Fader(loop1Spec);
+				startLoop2Fader(loop2Spec);
+			} else {
+				if (g_arthurChip)
+					g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA08", kArthurNoradExitedSub);
+			}
 		}
 		break;
+	case kNorad54:
+		if (g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA71", kArthurNoradApproachedDamagedDoor);
+		break;
 	case kNorad54North:
 		GameState.setScoringSawRobotAt54North(true);
 		break;
 	case kNorad68:
 		if (GameState.getNoradRetScanGood())
 			openDoor();
+		else if (!_vm->playerHasItemID(kRetinalScanBiochip) && g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA39", kArthurNoradAtRetScanNoBiochip);
 		break;
 	case kNorad68West:
 		arriveAtNorad68West();
@@ -396,6 +433,20 @@ void NoradDelta::arriveAtNorad79West() {
 		newInteraction(kNoradGlobeGameInteractionID);
 }
 
+void NoradDelta::turnTo(const DirectionConstant direction) {
+	Norad::turnTo(direction);
+	if (g_arthurChip) {
+		switch (GameState.getCurrentRoomAndView()) {
+		case MakeRoomView(kNorad54, kNorth):
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA71", kArthurNoradApproachedDamagedDoor);
+			break;
+		case MakeRoomView(kNorad68, kWest):
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA39", kArthurNoradApproachedDamagedDoor);
+			break;
+		}
+	}
+}
+
 void NoradDelta::bumpIntoWall() {
 	requestSpotSound(kDeltaBumpIntoWallIn, kDeltaBumpIntoWallOut, kFilterNoInput, 0);
 	Neighborhood::bumpIntoWall();
@@ -423,7 +474,11 @@ void NoradDelta::finishedGlobeGame() {
 	_privateFlags.setFlag(kNoradPrivateFinishedGlobeGameFlag, true);
 	GameState.setScoringFinishedGlobeGame(true);
 	loadAmbientLoops();
-	g_AIArea->playAIMovie(kRightAreaSignature, "Images/AI/Norad/XN60WD1", false, kWarningInterruption);
+	if (g_arthurChip)
+		g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA63", kArthurNoradThreatenedByRobot);
+	if (g_AIArea->isChattyAI())
+		g_AIArea->playAIMovie(kRightAreaSignature, "Images/AI/Norad/XN60WD1", false, kWarningInterruption);
+	updateViewFrame();
 }
 
 bool NoradDelta::playingAgainstRobot() {
@@ -451,7 +506,8 @@ void NoradDelta::playerBeatRobotWithDoor() {
 	GameState.setNoradBeatRobotWithDoor(true);
 	updateViewFrame();
 	GameState.setScoringStoppedNoradRobot(true);
-	g_AIArea->playAIMovie(kRightAreaSignature, "Images/AI/Norad/XN59WD", false, kWarningInterruption);
+	if (g_AIArea->isChattyAI())
+		g_AIArea->playAIMovie(kRightAreaSignature, "Images/AI/Norad/XN59WD", false, kWarningInterruption);
 }
 
 void NoradDelta::playerBeatRobotWithClaw() {
@@ -459,7 +515,8 @@ void NoradDelta::playerBeatRobotWithClaw() {
 	updateViewFrame();
 	GameState.setScoringStoppedNoradRobot(true);
 	GameState.setScoringNoradGandhi(true);
-	g_AIArea->playAIMovie(kRightAreaSignature, "Images/AI/Norad/XN59WD", false, kWarningInterruption);
+	if (g_AIArea->isChattyAI())
+		g_AIArea->playAIMovie(kRightAreaSignature, "Images/AI/Norad/XN59WD", false, kWarningInterruption);
 }
 
 TimeValue NoradDelta::getViewTime(const RoomID room, const DirectionConstant direction) {
@@ -604,12 +661,27 @@ void NoradDelta::receiveNotification(Notification *notification, const Notificat
 		case kN59RobotHeadOpens:
 		case kN60RobotHeadOpens:
 			_privateFlags.setFlag(kNoradPrivateRobotHeadOpenFlag, true);
+			if (g_arthurChip) {
+				switch (_vm->getRandomNumber(2)) {
+				case 0:
+					g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA36", kArthurNoradRobotHeadOpen);
+					break;
+				case 1:
+					g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA37", kArthurNoradRobotHeadOpen);
+					break;
+				case 2:
+					g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA40", kArthurNoradRobotHeadOpen);
+					break;
+				}
+			}
 			break;
 		case kNoradDeltaRetinalScanBad:
 			retScan = (RetScanChip *)_vm->getCurrentBiochip();
 			retScan->setItemState(kNormalItem);
 			playSpotSoundSync(kRetinalScanFailedIn, kRetinalScanFailedOut);
 			downButton(dummy);
+			if (g_arthurChip)
+				g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA13", kArthurNoradAtRetScanNoBiochip);
 			break;
 		case kNoradDeltaRetinalScanGood:
 			retScan = (RetScanChip *)_vm->getCurrentBiochip();
@@ -623,6 +695,9 @@ void NoradDelta::receiveNotification(Notification *notification, const Notificat
 		}
 
 		_interruptionFilter = kFilterAllInput;
+	} else if ((flags & kSpotSoundCompletedFlag) != 0) {
+		if (_spotSounds.getStart() == kToDeactivateIn && g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBB41", kArthurNoradStartGlobeGame);
 	}
 
 	g_AIArea->checkMiddleArea();
diff --git a/engines/pegasus/neighborhood/norad/delta/noraddelta.h b/engines/pegasus/neighborhood/norad/delta/noraddelta.h
index 11065f2..82aa7a9 100644
--- a/engines/pegasus/neighborhood/norad/delta/noraddelta.h
+++ b/engines/pegasus/neighborhood/norad/delta/noraddelta.h
@@ -88,6 +88,7 @@ protected:
 	virtual void arriveAt(const RoomID, const DirectionConstant);
 	void arriveAtNorad68West();
 	void arriveAtNorad79West();
+	void turnTo(const DirectionConstant);
 	TimeValue getViewTime(const RoomID, const DirectionConstant);
 	void openDoor();
 	void activateHotspots();
